From 7c0f54f48ce411450e5855203c002262c351b45c Mon Sep 17 00:00:00 2001
From: Michael Gmelin <freebsd@grem.de>
Date: Mon, 29 Jul 2013 20:00:54 +0200
Subject: [PATCH] Ensure pkg audit periodic output consistency.

---
 scripts/periodic/410.pkg-audit.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/scripts/periodic/410.pkg-audit.in b/scripts/periodic/410.pkg-audit.in
index bfcb20e..82f617a 100755
--- a/scripts/periodic/410.pkg-audit.in
+++ b/scripts/periodic/410.pkg-audit.in
@@ -61,7 +61,10 @@ case "${daily_status_security_pkgaudit_enable:-YES}" in
 		if [ $rc -ne 0 -o \
 			$(( 86400 \* "${daily_status_security_pkgaudit_expiry:-2}" )) \
 			-le $(( ${now} - ${then} + 600 )) ]; then
-			${pkgcmd} audit -Fq || { rc=$?; [ $rc -lt 3 ] && rc=3; }
+			${pkgcmd} audit -Fq > /dev/null || { rc=$?; [ $rc -lt 3 ] && rc=3; }
+			if [ $rc -eq 3 ]; then
+				${pkgcmd} audit || { rc=$?; [ $rc -lt 3 ] && rc=3; }
+			fi
 		else
 			echo -n 'Database fetched: '
 			date -r "${then}" || rc=3
-- 
1.8.2.3

